Skip to main content
GET
/
api
/
yativo-card
/
{yativoCardId}
/
wallet
curl -X GET 'https://crypto-api.yativo.com/api/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/wallet' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "wallet_address": "DwPq8k2XbNmJhvRs5TcLu4Ye9AgFp3ZoVi7Bn1KqWMeS",
    "wallet_network": "solana",
    "funding_method": "auto_bridge",
    "safe_address": "0xBB4912ef83b5dcAE96f473Ba9e28Fd120bcd3412",
    "currency": "USDCe",
    "network": "gnosis",
    "chain_id": 100,
    "is_deployed": true,
    "balances": {
      "available": "47.66",
      "on_hold": "0",
      "total": "47.66"
    },
    "spending_limits": {
      "daily_limit": 7999,
      "daily_used": 0,
      "daily_remaining": 7999,
      "currency": "USDC"
    }
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
yativoCardId
string
required
The Yativo Card account ID.
curl -X GET 'https://crypto-api.yativo.com/api/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/wallet' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "wallet_address": "DwPq8k2XbNmJhvRs5TcLu4Ye9AgFp3ZoVi7Bn1KqWMeS",
    "wallet_network": "solana",
    "funding_method": "auto_bridge",
    "safe_address": "0xBB4912ef83b5dcAE96f473Ba9e28Fd120bcd3412",
    "currency": "USDCe",
    "network": "gnosis",
    "chain_id": 100,
    "is_deployed": true,
    "balances": {
      "available": "47.66",
      "on_hold": "0",
      "total": "47.66"
    },
    "spending_limits": {
      "daily_limit": 7999,
      "daily_used": 0,
      "daily_remaining": 7999,
      "currency": "USDC"
    }
  }
}